Multi-Domains 1.3.1 FATAL ERROR trying to update

train wreck attempting to update to 1.3.1

Updates thinks it is still installed, but files deleted

won't install thru dashboard (as suggested by some support threads)

won't install through upload

manual install results in fatal error when activating

old version deleted
WP 3.8 subdomain network

----------

I re-installed the old version and it works

Instructions included in WPMUDev Dashboard for Multi-Domain are... not really explaining how to update... delete the old version and attempt to install the new one? it doesn't work...